更新 Androit Studio 3.+ 后问题总结

问题1: Could not find org.jetbrains.kotlin:kotlin-stdlib:1.1.3-2.

解决办法:主要是 gradle.build 文件版本号或者顺序问题
3.4 之后支持 google()
顺序参考:

repositories {
    google()
    mavenCentral()      // 注意下这个顺序,放在jcenter()上面
    jcenter()
}

参考

问题2: ERROR: Could not find method leftShift() for arguments

解决办法:原因 << 方法在 5.1 被移除,修改语法
参考

问题3: ERROR: This version of Android Studio cannot open this project, please retry with Android Studio 3.4

解决办法:升级 Android Studio 或修改 gradle 版本号
参考

问题4:The SourceSet 'instrumentTest' is not recognized by the Android Gradle Plugin. Perhaps you misspelle

解决办法:语法问题,用 androidTest 替换 instrumentTest,编译运行即可。

问题5:error: <item> inner element must either be a resource reference or empty.

解决办法:参考

问题6:识别不出来是Android项目,不显示模块信息,无法运行工程安装至手机进行调试。

解决办法: 点击菜单栏中: Build -> Make Module 点击保存,就好了。

推荐阅读更多精彩内容